CitrixAccountAuthority (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.citrix.CitrixAccountAuthority interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.citrix
Interface CitrixAccountAuthority

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface CitrixAccountAuthority

extends LogicalElement

Naming Rules:
  0="authorityType,authorityName"
Persistable:
  true
Table Name:
  CTXACCAUTH
Display Name:
  authorityName

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getAuthorityName()`
`java.lang.String` | `getAuthorityType()`
`CitrixGroup[]` | `getGroup()`
`CitrixUser[]` | `getUser()`
`boolean` | `hasAuthorityName()`
`boolean` | `hasAuthorityType()`
`boolean` | `hasGroup()`
`boolean` | `hasUser()`
`void` | `setAuthorityName(java.lang.String x)`
`void` | `setAuthorityType(java.lang.String x)`
`void` | `setGroup(CitrixGroup[] x)`
`void` | `setUser(CitrixUser[] x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getAuthorityName

    java.lang.String getAuthorityName()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAuthorityName

    void setAuthorityName(java.lang.String x)

### hasAuthorityName

    boolean hasAuthorityName()

### getUser

    CitrixUser[] getUser()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Authorizes" reverse="false"

### setUser

    void setUser(CitrixUser[] x)

### hasUser

    boolean hasUser()

### getGroup

    CitrixGroup[] getGroup()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Authorizes" reverse="false"

### setGroup

    void setGroup(CitrixGroup[] x)

### hasGroup

    boolean hasGroup()

### getAuthorityType

    java.lang.String getAuthorityType()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAuthorityType

    void setAuthorityType(java.lang.String x)

### hasAuthorityType

    boolean hasAuthorityType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD